#include "mbed.h"
#include "PinDetect.h"

PwmOut myled(p26);
PinDetect pb1(p16);
PinDetect pb2(p17);


float illuminate = 0.1f;

void pb1_dim_callback (void) {
    if(illuminate > 0.0f){
        illuminate -= 0.1f;    
    }
    }
void pb2_bright_callback (void) {
    if(illuminate < 1.0f){
        illuminate += 0.1f;
    }
    }
int main() {
        pb1.mode(PullUp);
        pb2.mode(PullUp);
        wait(.01);
        
        pb1.attach_deasserted(&pb1_dim_callback);
        pb2.attach_deasserted(&pb2_bright_callback);
        
        pb1.setSampleFrequency();
        pb2.setSampleFrequency();
        
        while(1) {
         myled= illuminate;
         wait(.1);
        }
}
